%define	pkgname	cabin
Summary:	Experiments in structured and contextual logging
Name:		ruby-%{pkgname}
Version:	0.6.0
Release:	3
License:	Apache v2.0
Group:		Development/Languages
Source0:	http://rubygems.org/downloads/%{pkgname}-%{version}.gem
# Source0-md5:	99195e139b704147718c1728ae191da8
URL:		https://github.com/jordansissel/ruby-cabin
BuildRequires:	rpm-rubyprov
BuildRequires:	rpmbuild(macros) >= 1.656
BuildRequires:	sed >= 4.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is an experiment to try and make logging more flexible and more
consumable. Plain text logs are bullshit, let's emit structured and
contextual logs. Metrics, too!

%prep
%setup -q -n %{pkgname}-%{version}
%{__sed} -i -e '1 s,#!.*ruby,#!%{__ruby},' bin/*

%build
%__gem_helper spec

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_vendorlibdir},%{ruby_specdir},%{_bindir}}
cp -a lib/* $RPM_BUILD_ROOT%{ruby_vendorlibdir}
cp -a bin/* $RPM_BUILD_ROOT%{_bindir}
cp -p %{pkgname}-%{version}.gemspec $RPM_BUILD_ROOT%{ruby_specdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/rubygems-cabin-test
%{ruby_vendorlibdir}/%{pkgname}.rb
%{ruby_vendorlibdir}/%{pkgname}
%{ruby_specdir}/%{pkgname}-%{version}.gemspec
%changelog
* Mon Aug 10 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ruby-cabin.git;a=log;h=master

* Mon Aug 10 2015 Elan Ruusamäe <glen@delfi.ee> a753fd9
- rebuild with rubygem provides again

* Tue Jul 22 2014 Elan Ruusamäe <glen@delfi.ee> 791de02
- ruby 2.0 rebuld
- release 2 (by relup.sh)

* Mon Jun 24 2013 Elan Ruusamäe <glen@delfi.ee> 4ed350b
- build with rubygems provides

* Wed Jun 19 2013 Elan Ruusamäe <glen@delfi.ee> f5fef09
- new, version 0.6.0

